package com.efastar.order;

import java.sql.*;
import java.util.Hashtable;
import java.util.Enumeration;
import java.util.Vector;
import java.text.*;
import com.efastar.esuite.*;
import com.efastar.esuite.databaseconnection.*;

public class BuyerList 
{	
    private Vector   itemSet = new Vector();   
    Enumeration         enum = null;
    private Item        currItem = null;
    
    protected class Item
    {
        public long     buyerID;
        public String   buyerName;
        public String   buyerFullName;
    }
    
    public BuyerList() throws Exception 
    {
	super();
        Query();
    }
        
    private void Query() throws Exception
    {
	Connection cn = null; 	
	PreparedStatement pst = null;		
        ResultSet rs = null;
            
        String strSql = "Select BUYER_ID,NAME, FULL_NAME  from T_BUYER ";
        
        itemSet.clear();
        
	try
        {            
            cn = DbConnectOdbc.getConnection();
            pst = cn.prepareStatement(strSql);
            rs = pst.executeQuery();

            while (rs.next())
            {
                Item item = new Item();
                item.buyerID = rs.getLong("BUYER_ID");
                item.buyerName = rs.getString("NAME");
                item.buyerFullName = rs.getString("FULL_NAME");
                itemSet.add(item);                
            }
            rs.close();
            pst.close();
        }
        finally
        {
            cn.close();
        }
    }
    
    public void begin() throws Exception
    {
        enum = itemSet.elements();
    }
        
    public Item find(long id) throws Exception
    {
        begin();
        while (next())
        {
            if (currItem.buyerID == id)
                return currItem;
        }
        return null;
    }
    
    public boolean next() throws Exception
    {
        if (enum == null)
            throw new Exception("BuyerList: call begin() first"); 
        
        if (enum.hasMoreElements())
        {
            currItem = (Item) enum.nextElement();
            return true;
        }
        return false;
    }
         
    public long getBuyerID()
    {
        if (currItem == null)
            return 0;
            
        return currItem.buyerID;
    }
        
    public String getBuyerName()
    {
        if (currItem == null)
            return "";
        return currItem.buyerName;
    }
        
    public String getBuyerFullName()
    {
        if (currItem == null)
            return "";
        return currItem.buyerFullName;
    }
        
}